| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::gapi::wip::draw::Line Struct Reference
G-API Drawing and composition functionality » Drawing primitives

This structure represents a line to draw. More...

`#include <opencv2/gapi/render/render.hpp>`

## Public Member Functions
| Line (const cv::Point &pt1_, const cv::Point &pt2_, const cv::Scalar &color_, int thick_=1, int lt_=cv::LINE_8, int shift_=0)
| Line constructor. More...

## Public Attributes
cv::Point | pt1
| The first point of the line segment. More...
cv::Point | pt2
| The second point of the line segment. More...
cv::Scalar | color
| The line color. More...
int | thick
| The thickness of line. More...
int | lt
| The Type of the line. See LineTypes. More...
int | shift
| The number of fractional bits in the point coordinates. More...

## Detailed Description

This structure represents a line to draw.

Parameters match cv::line().

## Constructor & Destructor Documentation

## ◆ Line()

cv::gapi::wip::draw::Line::Line | ( | const cv::Point & | pt1_,
|  | const cv::Point & | pt2_,
|  | const cv::Scalar & | color_,
|  | int | thick_ = `1`,
|  | int | lt_ = `cv::LINE_8`,
|  | int | shift_ = `0`
| ) |  |
| inline

Line constructor.

Parameters

  pt1_ | The first point of the line segment
  pt2_ | The second point of the line segment
  color_ | The line color
  thick_ | The thickness of line
  lt_ | The Type of the line. See LineTypes
  shift_ | The number of fractional bits in the point coordinates

## Member Data Documentation

## ◆ color

cv::Scalar cv::gapi::wip::draw::Line::color

The line color.

## ◆ lt

int cv::gapi::wip::draw::Line::lt

The Type of the line. See LineTypes.

## ◆ pt1

cv::Point cv::gapi::wip::draw::Line::pt1

The first point of the line segment.

## ◆ pt2

cv::Point cv::gapi::wip::draw::Line::pt2

The second point of the line segment.

## ◆ shift

int cv::gapi::wip::draw::Line::shift

The number of fractional bits in the point coordinates.

## ◆ thick

int cv::gapi::wip::draw::Line::thick

The thickness of line.

The documentation for this struct was generated from the following file:

- opencv2/gapi/render/render.hpp